## Submitting a New Issue
If you are reporting a **bug** or defect, please provide the steps to reproduce the problem you are describing.
Ideally, provide a simple script that will reproduce the issue.  Also provide a description of the hardware and 
software types and versions used in your application/test environment.

Requests for a feature or **enhancement** to the library software will be treated at a lower priority due to the lack
of resources (contributors with skillset, knowledge of the library or time).  Unless your request has wide support
from the community it will be treated at a low priority.  If the repo's maintainer judges your request to be of value
then it will be labeled `enhancement`.  If additional resources are required, it will be tagged with `help wanted`.

If you simply have a **question**, consult the SUPPORT.md document.

## Creating a Pull Request
Contributions are welcome.  To save time it is best to have an open issue relating to what it is you want to contribute
and to discuss the prospects of getting your contribution accepted.

Your changes *must* pass the set of test files `x_*`.  Please indicate that you have run the test scripts successfuly or attach
a screen shot of the output from the test scripts.

In addition, you *should* provide updated or additional scripts that at least test the 'happy' paths of your code changes.  For 
larger changes the additional test cases will be considered mandatory.
